Mulgara - Bug #103

Mulgara RMI server port needs to be made configurable (NOT the RMI naming registry port)
04/22/2008 11:40 PM - amit -
Resolution: fixed

Description

Mulgara RMI server currently asks the OS to allocate a port to it for
the remote objects when registering with the RMI naming registry. This
leads to allocation of a random port not very conducive for firewall
rules in high security installation.

It would be better if the port the Mulgara remote objects use is
configurable, allowing a system administrator to control via firewall
rules.

According to Ronald:

I took a quick look into mulgara, and I think it would end up being a
couple days work to make the port used for the rmi calls configurable.
Supposedly all UnicastRemoteObjects can use the same port, and some
say even the same port as the registry is on. The only really tricky
thing is that I think the backup/load operations export an RMI object
from the client to the server, so the client stuff needs a port config
too and the firewall needs to be opened in the reverse direction (this
client-object isn't very nat friendly, btw...)

History

#1 - 04/22/2008 11:57 PM - ronald -

Enhanced the description a bit.

#2 - 10/15/2008 04:33 AM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

Done in r1269. Extra configuration features added in r1270 and r1271
